Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Geometry::SetOfPoints< V, maxNumberOfPoints > Class Template Reference

`#include <Geometry.h>`

List of all members.

## Public Member Functions
| SetOfPoints ()
| Constructor.
void | add (V x, V y)
void | add (Vector2< V > newPoint)
void | init ()
double | linearRegression (Line &line)
## Private Attributes
Vector2< V > | points [maxNumberOfPoints]
int | numberOfPoints

### template<class V, int maxNumberOfPoints>
class Geometry::SetOfPoints< V, maxNumberOfPoints >

## Constructor & Destructor Documentation

template<class V, int maxNumberOfPoints>
Geometry::SetOfPoints< V, maxNumberOfPoints >::SetOfPoints | ( |  | ) | `[inline]`

| Constructor. Definition at line 151 of file Geometry.h. References Geometry::SetOfPoints< V, maxNumberOfPoints >::init().

Here is the call graph for this function:

## Member Function Documentation

template<class V, int maxNumberOfPoints>
void Geometry::SetOfPoints< V, maxNumberOfPoints >::add | ( | V | x,
|  | V | y
| ) | `[inline]`

| Definition at line 152 of file Geometry.h. References Geometry::SetOfPoints< V, maxNumberOfPoints >::numberOfPoints, and Geometry::SetOfPoints< V, maxNumberOfPoints >::points.

template<class V, int maxNumberOfPoints>
void Geometry::SetOfPoints< V, maxNumberOfPoints >::add | ( | Vector2< V > | newPoint | ) | `[inline]`

| Definition at line 159 of file Geometry.h. References Geometry::SetOfPoints< V, maxNumberOfPoints >::numberOfPoints, and Geometry::SetOfPoints< V, maxNumberOfPoints >::points.

template<class V, int maxNumberOfPoints>
void Geometry::SetOfPoints< V, maxNumberOfPoints >::init | ( |  | ) | `[inline]`

| Definition at line 166 of file Geometry.h. References Geometry::SetOfPoints< V, maxNumberOfPoints >::numberOfPoints. Referenced by Geometry::SetOfPoints< V, maxNumberOfPoints >::SetOfPoints().

template<class V, int maxNumberOfPoints>
double Geometry::SetOfPoints< V, maxNumberOfPoints >::linearRegression | ( | Line & | line | ) | `[inline]`

| Definition at line 168 of file Geometry.h. References Geometry::Line::base, Geometry::Line::direction, Geometry::SetOfPoints< V, maxNumberOfPoints >::numberOfPoints, Geometry::SetOfPoints< V, maxNumberOfPoints >::points, Vector2< double >::x, and Vector2< double >::y.

## Member Data Documentation

template<class V, int maxNumberOfPoints>
Vector2<V> Geometry::SetOfPoints< V, maxNumberOfPoints >::points[maxNumberOfPoints]`[private]`

| Definition at line 214 of file Geometry.h. Referenced by Geometry::SetOfPoints< V, maxNumberOfPoints >::add(), and Geometry::SetOfPoints< V, maxNumberOfPoints >::linearRegression().

template<class V, int maxNumberOfPoints>
int Geometry::SetOfPoints< V, maxNumberOfPoints >::numberOfPoints`[private]`

| Definition at line 215 of file Geometry.h. Referenced by Geometry::SetOfPoints< V, maxNumberOfPoints >::add(), Geometry::SetOfPoints< V, maxNumberOfPoints >::init(), and Geometry::SetOfPoints< V, maxNumberOfPoints >::linearRegression().

The documentation for this class was generated from the following file:

- Tools/Math/Geometry.h